
Figure - Bug #117966
【BSP】【EVT3】【ST】【Tlog】Tlog 打包获取历史日志，导出的日志仅有手动部分，没有以往的package zip
2023-05-16 19:10 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-05-16

Priority: High Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0100

Resolution: FIXED Degrated: --

Severity: Major Verified Version:

Reproducibility: Occasionally Fixed Version: 2023-05-16

Test Type: ST Root cause: 解压工具问题

Description

【前提条件】

None

【测试步骤】

1. OTA、设备重启或qile烧机后

2. *#147# 打开tlog，抓取历史日志

3. pull打包出来的日志，然后解压查看

【预期结果】

3 日志正常大炮，存在之前的package压缩包

【实际结果】

3 会偶现只有手动抓取的日志，未打包之前的package

History

#1 - 2023-05-16 19:53 - 移动测试一组_CDTS 刘强

- File tlog_cf39a20c_000029_0516024801.tar.gz added

#2 - 2023-05-16 20:20 - CD SYSTEM-夏旭

- Status changed from New to ASSIGNED

- % Done changed from 0 to 50

■目前进度

和测试沟通发现是windows系统解压的时候出现的问题，Ubuntu解压没有遇到这个问题

使用7zip解压会偶现无法解压的情况，但是使用WinRAR工具解压是正常的，并且只需要解压一次，请使用WinRAR工具来解压tlog的压缩包

■下一步计划

测试验证

#3 - 2023-05-16 20:32 - CD SYSTEM-夏旭

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD SYSTEM-夏旭 to 移动测试一组_CDTS 刘强

- % Done changed from 50 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-05-16
- Root cause set to 解压工具问题

#4 - 2023-05-19 11:34 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

后续跟踪有问题再reopen

#5 - 2023-05-19 11:34 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED
